Joomla 1.5 vs. Joomla 1.6

Joomla 1.5 vs. Joomla 1.6

PDF | Print | E-mail

We increasingly get requests for Joomla 1.6 versions of our extensions… At the moment all JoomlaXT extensions are released for Joomla 1.5 only, however we are currently evaluating Joomla 1.6 and the consequences for JoomlaXT extensions and decided to handle each extension individually. Unfortunately Joomla 1.6 is not downwards compatible, i.e. most of 1.5 extensions will not work with 1.6 and there’s no simple way to make extensions work on both (1.5 and 1.6) version, thus we’ll have to create and maintain separae versions for Joomla 1.6 and 1.5 even if we don’t want to use new 1.6 features. The discussions are in progress, we’ll update the post as soon as we have new decisions.

GuardXT

GuardXT is pretty stable, the only thing that frequently changes are the hash files for new Joomla versions.

Joomla 1.5: GuardXT for Joomla 1.5 is in “maintenance mode”, i.e. new hash files will be provided for new 1.5 releases, secuity related bugfixes will also be provided, new functionality will not be introduced.

Joomla 1.6: A 1.6 version for GuardXT is in progress and is planned to be released before end of May. All future enhancements will be developed for Joomla 1.6 only.

PollXT

PollXT is a grown and basically un-maintainable solution… no updates released for quite some time.

Joomla 1.5: will be phased out. Currently no new releases planned

Joomla 1.6: Uncertain. The current code will definitely not be adopted for Joomla 1.6. Probably a completely new poll solution will be developed for Joomla 1.6